<?php
defined('_JEXEC') or die;

require_once __DIR__ . '/helper.php';

$rates = array();

if($params->get('nbu') === '1') {
    $rates['nbu'] = ModCurrencyRatesProHelper::getInstance()->getData('nbu');
}
if($params->get('cbr') === '1') {
    $rates['cbr'] = ModCurrencyRatesProHelper::getInstance()->getData('cbr');
}
if($params->get('kbk') === '1') {
    $rates['kbk'] = ModCurrencyRatesProHelper::getInstance()->getData('kbk');
}
if($params->get('pbn') === '1') {
    $rates['pbn'] = ModCurrencyRatesProHelper::getInstance()->getData('pbn');
}
if($params->get('pbb') === '1') {
    $rates['pbb'] = ModCurrencyRatesProHelper::getInstance()->getData('pbb');
}

if($params->get('bootstrap') === '1') {
    JHtml::_('bootstrap.framework');
    JHtmlBootstrap::loadCss();
}

$sale_buy_rates = array('kbk', 'pbn', 'pbb');

$decimals = (int) $params->get('decimals', 2);

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

if(!empty($rates)) {
    require JModuleHelper::getLayoutPath('mod_currency_rates_pro', $params->get('layout', 'default'));
}
