<?php
defined('_JEXEC') or die;

$tabs = array_keys($rates);

JFactory::getDocument()->addScriptDeclaration("

jQuery(document).ready(function() {

    jQuery('#currencyTab_".$module->id." a').click(function (e) {
      e.preventDefault();
      jQuery(this).tab('show');
    });

});

");

?>

<div class="<?=$moduleclass_sfx?>">

    <ul class="nav nav-tabs" id="currencyTab_<?=$module->id?>">

    <?php foreach($tabs as $k=>$tab) {?>

        <li<?=($k === 0 ? ' class="active"' : '')?>><a href="#tab_<?=$tab?>_<?=$module->id?>"><?=JText::_('MOD_CURRENCY_RATES_PRO_'.strtoupper($tab).'_SHORT')?></a></li>

    <?php } ?>

    </ul>

    <div class="tab-content">

        <?php
        $i = 0;
        ?>

    <?php foreach($rates as $rate=>$data) {?>

        <?php
        $showcols = $params->get(strtolower($rate).'showcols');
        $showcurr = $params->get(strtolower($rate).'showcurr');
        $i++;
        ?>

        <div class="tab-pane<?=($i === 1 ? ' active' : '')?>" id="tab_<?=$rate?>_<?=$module->id?>">

            <table class="table table-striped">

                <thead>
                <tr>
                    <?php if($params->get(strtolower($rate).'_short') === '1') { ?>

                        <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_CURRENCY')?></th>
                        <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_RATE').(in_array($rate, $sale_buy_rates) ? ' <small>('.JText::_('MOD_CURRENCY_RATES_PRO_BUY').'/'.JText::_('MOD_CURRENCY_RATES_PRO_SALE').')</small>' : '')?></th>

                    <?php } else { ?>

                        <?php if(!empty($showcols)) { ?>

                            <?php foreach($showcols as $col) {?>

                                <th<?=($col === 'name' ? '' : ' class="text-center"')?>><?=JText::_('MOD_CURRENCY_RATES_PRO_'.strtoupper($col))?></th>

                            <?php }?>

                        <?php } else { ?>

                            <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_CCY')?></th>
                            <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_NCY')?></th>
                            <th><?=JText::_('MOD_CURRENCY_RATES_PRO_NAME')?></th>
                            <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_UNIT')?></th>
                            <th class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_RATE').(in_array($rate, $sale_buy_rates) ? ' <small>('.JText::_('MOD_CURRENCY_RATES_PRO_BUY').'/'.JText::_('MOD_CURRENCY_RATES_PRO_SALE').')</small>' : '')?></th>

                        <?php } ?>

                    <?php } ?>
                </tr>
                </thead>

                <tbody>

                <?php
                ksort($data);
                ?>

                <?php foreach($data as $cur=>$val) {?>


                    <?php if(empty($showcurr) || (!empty($showcurr) && in_array($cur, $showcurr))) {?>

                        <tr>

                            <?php if($params->get(strtolower($rate).'_short') === '1') { ?>

                                <?php
                                $sale_unit = mb_substr(mb_stristr($val['unit'], '/', false, 'UTF-8'),1,null,'UTF-8');
                                if($sale_unit != false) $buy_unit = mb_stristr($val['unit'], '/', true, 'UTF-8');
                                ?>

                                <td class="text-center"><?=$cur?></td>

                                <td class="text-center"><?=(isset($val['buy']) ? number_format(($val['buy']/(empty($buy_unit) ? $val['unit'] : $buy_unit)), $decimals).'/'.number_format(($val['sale']/(empty($sale_unit) ? $val['unit'] : $sale_unit)), $decimals) : number_format(($val['sale']/(empty($sale_unit) ? $val['unit'] : $sale_unit)), $decimals))?></td>

                            <?php } else { ?>


                                <?php if(!empty($showcols)) { ?>
                                    <?php
                                    $colsdata = array(
                                        'ccy' => $cur,
                                        'ncy' => JText::_('MOD_CURRENCY_RATES_PRO_NUM_'.strtoupper($cur)),
                                        'name' => JText::_('MOD_CURRENCY_RATES_PRO_'.strtoupper($cur)),
                                        'unit' => (int) $val['unit'],
                                        'rate' => (isset($val['buy']) ? number_format((float)$val['buy'], $decimals).'/'.number_format((float)$val['sale'], $decimals) : number_format((float)$val['sale'], $decimals))
                                    );
                                    ?>

                                    <?php foreach($showcols as $col) {?>

                                        <td<?=($col === 'name' ? '' : ' class="text-center"')?>><?=$colsdata[$col]?></td>

                                    <?php }?>

                                <?php } else { ?>

                                    <td class="text-center"><?=$cur?></td>
                                    <td class="text-center"><?=JText::_('MOD_CURRENCY_RATES_PRO_NUM_'.strtoupper($cur))?></td>
                                    <td><?=JText::_('MOD_CURRENCY_RATES_PRO_'.strtoupper($cur))?></td>
                                    <td class="text-center"><?=(int) $val['unit']?></td>
                                    <td class="text-center"><?=(isset($val['buy']) ? number_format((float)$val['buy'], $decimals).'/'.number_format((float)$val['sale'], $decimals) : number_format((float)$val['sale'], $decimals))?></td>

                                <?php }?>


                            <?php }?>

                        </tr>

                    <?php }?>

                <?php }?>

                </tbody>

            </table>

        </div>

    <?php } ?>

    </div>


</div>